Skip to main content
`Ctrl`+`K`

# PetscViewerHDF5ReadObjectAttribute

Read an attribute from the dataset matching the given `PetscObject` by name

## Synopsis

    PetscErrorCode PetscViewerHDF5ReadObjectAttribute(PetscViewer viewer, PetscObject obj, const char name[], PetscDataType datatype, void *defaultValue, void *value)

Collective

## Input Parameters

- viewer - The `PETSCVIEWERHDF5` viewer

- obj - The object whose name is used to lookup the parent dataset, relative to the current group.

- name - The attribute name

- datatype - The attribute type

- defaultValue - The default attribute value

## Output Parameter

- value - The attribute value

## Note

This fails if current_group/object_name doesn’t resolve to a dataset (the path doesn’t exist or is not a dataset). You might want to check first if it does using `PetscViewerHDF5HasObject()`.

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERHDF5`, `PetscViewerHDF5Open()`, `PetscViewerHDF5ReadAttribute()`, `PetscViewerHDF5WriteObjectAttribute()`, `PetscViewerHDF5HasObjectAttribute()`, `PetscViewerHDF5PushGroup()`, `PetscViewerHDF5PopGroup()`, `PetscViewerHDF5GetGroup()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages